<?php
include('styles/globalheader.php');
include('config/config_main.php');

if (!empty($_POST['met_num'])) {
    $met_num = $_POST['met_num'];
} else {
    $met_num = 1;
}

$output = array();
$dir    = 'data/meters/';
$output = glob($dir . "*.csv");
if (is_array($output)) {
    sort($output);
}
$cnt     = count($output);
$metlist = array();

if ($cnt > 1) {
    echo "
<table width='95%' border=0 align=center cellpadding=8>
<tr><td>
<form method='POST' action='indexreadings.php'>
";
    for ($i = 0; $i < $cnt; $i++) {
        $output[$i] = str_replace("$dir", '', "$output[$i]");
        $metname    = substr($output[$i], 0, -8);
        if (!in_array($metname, $metlist)) {
            array_push($metlist, $metname);
        }
    }
    sort($metlist);
    $cnt = count($metlist);
    
    if (!empty($_POST['meter'])) {
        $meter = $_POST['meter'];
    } else {
        if (isset($metlist[0])) {
            $meter = $metlist[0];
        }
    }
    
    echo "$lgCHOOSEMET: <select name='meter' onchange='this.form.submit()'>";
    for ($i = 0; $i < $cnt; $i++) {
        if ($meter == $metlist[$i]) {
            $met_num = substr($metlist[$i], 0, 1);
            echo "<option value='$metlist[$i]' SELECTED>";
        } else {
            echo "<option value='$metlist[$i]'>";
        }
        $metname = substr($metlist[$i], 1);
        echo "$metname</option>";
    }
    echo "</select> 
<input type='hidden' name='met_num' value=$met_num>
</form>
";
    include('config/config_met' . $met_num . '.php');
?>
</td></tr>
</table>

<script type="text/javascript">
  
$(document).ready(function() {
Highcharts.setOptions({
global: {useUTC: false},
lang: {
decimalPoint: '<?php
    echo $DPOINT;
?>',
thousandsSep: '<?php
    echo $THSEP;
?>',
months: ['<?php
    for ($i = 1; $i < 12; $i++) {
        echo "$lgMONTH[$i]','";
    }
    echo $lgMONTH[12];
?>'],
shortMonths: ['<?php
    for ($i = 1; $i < 12; $i++) {
        echo "$lgSMONTH[$i]','";
    }
    echo $lgSMONTH[12];
?>'],
weekdays: ['<?php
    for ($i = 1; $i < 7; $i++) {
        echo "$lgWEEKD[$i]','";
    }
    echo "$lgWEEKD[7]'],
drillUpText: '$lgDRILLUP',
loading: '$lgLOAD',
printChart: '$lgPRINT',
resetZoom: '$lgRESETZ'
";
?>
}
});

var defaultTitle = "<?php
    echo "$lgCONSUTITLE: ${'METNAME'.$met_num}";
?>", prevPointTitle = null;
var prevPointTitle = null;

var Mychart, options = {
        chart: {
                renderTo: 'container',
                type: 'column',
                backgroundColor: null,
				events: {
					drilldown: function (e) {
						this.setTitle({
							text: e.point.title
						});
						if (!prevPointTitle) {
							prevPointTitle = e.point.title;
						}
					},
					drillup: function (e) {
						if ( !! this.series[0].drilldownLevel) {
							this.setTitle({
								text: defaultTitle
							});
							prevPointTitle = null;
						} else {
							this.setTitle({
								text: prevPointTitle
							});
						}
					}
				},
            },
			title: {
				text: defaultTitle
			},
            subtitle: {text: '<?php
    echo "$lgCONSUSUBTITLE";
?>'},
            xAxis: {
            type: 'category'
            },
            yAxis: {
    		min: 0,
    		minPadding: 0,
			title: {text: '<?php
    echo "${'UNIT'.$met_num}";
?>'}
            },
		plotOptions: {
			series: {
				borderWidth: 1,
				dataLabels: {
					enabled: true,
					formatter:function() 
					{
						var pcnt = (this.y);
						return Highcharts.numberFormat(pcnt,<?php
    if (${'TYPE' . $met_num} == 'Elect') {
        echo "0) + ' kWh';";
    } else {
        echo "${'PRECI'.$met_num}) + ' ${'UNIT'.$met_num}';";
    }
?>

					}
				}
			},
			column: {
			  color: "<?php
    echo "#${'COLOR'.$met_num}";
?>",
			  cursor: 'pointer'
			}
		},
        tooltip: {
			formatter: function() {
			s= '<b>' + Highcharts.numberFormat(this.y,<?php
    if (${'TYPE' . $met_num} == 'Elect') {
        echo "2) + ' kWh</b>';";
    } else {
        echo "${'PRECI'.$met_num}) + ' ${'UNIT'.$met_num}</b>';";
    }
    if (${'PRICE' . $met_num} > 0) {
        echo "
		    s += ' (' + Highcharts.numberFormat((this.y*${'PRICE'.$met_num}),1) + '$CURS)';
		";
    }
?>
	return s;
			
			}
		 },
  exporting: {
  filename: 'meterN-chart',
  width: 1200
  },
  credits: {
  enabled: false
  },
    series: [],
    drilldown: []
 };
<?php
    $destination = "programs/programreadings.php";
    echo "
var meter = '$meter';
Mychart= new Highcharts.Chart(options);
Mychart.showLoading();
$.getJSON('$destination', { meter: meter }, function(JSONResponse) {
  options.series = JSONResponse.series;
  options.drilldown = JSONResponse.drilldown;
  Mychart = new Highcharts.Chart(options);
  Mychart.hideLoading();
});
});";
    
    echo "
</script>";
} else {
    echo '<br>No data';
}
echo "
<table width='100%' border=0 align=center cellpadding=0>
<tr><td><div id='container' style='width: 95%; height: 450px'></div></td></tr>
</table>
";

include("styles/" . $user_style . "/footer.php");
?>
